%define	name	perl-Data-DumpXML
%define	module	Data-DumpXML
%define	version	1.05
%define	release	3mdk

Summary:	Dump arbitrary perl data structures as XML.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	http://www.cpan.org/authors/id/GAAS/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel perl-Array-RefElem perl-MIME-Base64 perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL:		http://www.cpan.org
Requires: 	perl-Array-RefElem >= 0.02
BuildArch:	noarch

%description
Dump arbitrary perl data structures as XML.

This module is needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Data

%changelog
* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.05-3mdk
- rebuild for new perl
- drop Prefix tag
- drop Distribution tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-2mdk
- rebuild for new auto{prov,req}

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 1.05-1mdk
- 1.05.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.03-2mdk
- rebuild for new perl 5.8.0

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.03-1mdk
- updated License.
- build as noarch.
- fixed %%files.
- added URL.
- 1.03.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.01-3mdk
- BuildRequires: perl-devel perl-Array-RefElem perl-MIME-Base64 perl-XML-Parser

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-2mdk
- Fixed installation problem.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-1mdk
- Updated to 1.01
- Make a clean RPM with the right directories
- Fixed distribution tag

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.02-2mdk
- Remove Vendor and Distribution tag.
- Rebuild against the latest perl.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.02-1mdk
- First Mandrake release
- Needed for eGrail
